#include <iostream>

#include <QApplication>
#include <QWidget>
#include <QFrame>
#include <QHBoxLayout>
#include <QFile>
#include <QGridLayout>
#include <QSizePolicy>
#include <QMenuBar>
#include <QMenu>

#include "player.h"

// """ Version 0.8 """

//using namespace std;


int main(int argc, char* argv[]) {
    QApplication app(argc, argv);

    QWidget window;
    window.setGeometry(20,50,1270,576);

    QMenuBar mBar;
    QMenu fileMenu;
    fileMenu.addMenu("Test");
    mBar.addMenu(&fileMenu);

    QFrame videoWidget;
    Player player(&videoWidget);

    QListWidget liste;
    for(int x=1;x<=player.get_Sender();x++){
        liste.addItem(player.get_Name(x));
    }
    QObject::connect(&liste, SIGNAL(itemClicked(QListWidgetItem*)), &player, SLOT(play(QListWidgetItem*)));

    QSizePolicy sp=liste.sizePolicy();
    sp.setHorizontalPolicy(QSizePolicy::Fixed);
    liste.setSizePolicy(sp);

    QGridLayout gridLayout;
    gridLayout.addWidget(&videoWidget, 0, 0);
    gridLayout.addWidget(&liste, 0, 1);
    window.setLayout(&gridLayout);

    window.show();

    return app.exec();
}
