#ifndef PLAYER_H
#define PLAYER_H

#include <QObject>
#include <QFile>
#include <QFrame>
#include <QListWidget>
#include <vlc/vlc.h>

class Player : public QObject {
    Q_OBJECT
    public:
        Player(QFrame*);
        ~Player();
        int get_Sender() { return this->Sender; }
        QString get_Name(int x) { return this->Name[x]; }
        QString get_URL(int x) { return this->URL[x]; }

    public slots:
        int play(QListWidgetItem *item);

    private:
        int val;
        static size_t write_data(void*, size_t, size_t , void*);
        int sender_holen(void);
        int sender_laden(void);
        int sender_ausgeben(void);
        int Sender;
        QString Name[10000];
        QString URL[10000];      
        QFrame *videoWidget;
        libvlc_instance_t * inst;
        libvlc_media_player_t *mp=0;
        libvlc_media_t *m;

};

#endif // PLAYER_H
